Bug 454156 - utrace: stop-attach-then-wait testcase FAILs
utrace: stop-attach-then-wait testcase FAILs
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Roland McGrath
Fedora Extras Quality Assurance
http://sources.redhat.com/cgi-bin/cvs...
:
Depends On:
Blocks: 454157 456342
  Show dependency treegraph
 
Reported: 2008-07-05 12:43 EDT by Jan Kratochvil
Modified: 2008-10-24 09:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-24 09:03:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kratochvil 2008-07-05 12:43:56 EDT
Description of problem:
Process SIGSTOPs, debugger PTRACE_ATTACHes it, first WAITPID(,,0) returns
SIGSTOP but second WAITPID(,,0) returns SIG_0 (that one should be waiting).

Version-Release number of selected component (if applicable):
FAIL:
F-8 kernel-2.6.25.9-40.fc8.i686
F-9 kernel-2.6.25.6-55.fc9.x86_64
F-9 kernel-2.6.25.9-76.fc9.x86_64
PASS:
kernel-vanilla-2.6.25.6-55.vanilla.fc9.x86_64
kernel-vanilla-2.6.25-0.101.rc4.git3.fc8.x86_64

How reproducible:
Always.

Steps to Reproduce:
wget -O stop-attach-then-wait.c
http://sources.redhat.com/cgi-bin/cvsweb.cgi/~checkout~/tests/ptrace-tests/tests/stop-attach-then-wait.c?cvsroot=systemtap;
gcc -o stop-attach-then-wait stop-attach-then-wait.c -Wall -ggdb2 -D_GNU_SOURCE;
./stop-attach-then-wait; echo $?

Actual results:
1

Expected results:
0

Additional info:
Upstream bugreport post:
https://www.redhat.com/archives/utrace-devel/2008-June/msg00021.html
Comment 1 Chuck Ebbert 2008-10-23 22:57:37 EDT
Is this fixed in 2.6.26.6-79.fc9?
Comment 2 Denys Vlasenko 2008-10-24 08:26:48 EDT
Yes, it's fixed in 2.6.26.6-79.fc9.

Note You need to log in before you can comment on or make changes to this bug.